[TxMt] Re: problem running perl script

Allan Odgaard mailinglist at textmate.org
Sun Nov 16 23:03:52 UTC 2008

On 16 Nov 2008, at 14:33, Dave Winzler wrote:

> [...]
> I've just relocated my /Library/Application Support/TextMate/ to the  
> new svn repository, and updated so I'm now at revision 10812 (feels  
> good to be up to date once again).
> TextMate tells me it's at cutting edge version 1464.
> I then reloaded bundles, restarted TextMate for good measure, and  
> tried once again to use the Perl bundle's Run command on my script,  
> but I'm still getting:
> -e:2:in `require': no such file to load -- /Applications/ 
> TextMate.app/Contents/SharedSupport/Support/lib/tm/executor  
> (LoadError) from -e:2
> Might my ~/Library/Application Support/TextMate/ folder be messed up  
> somehow? Is there a way to reset it yet preserve the themes and  
> bundle's I've added and created?

TM sets up TM_SUPPORT_PATH to the Support folder with the hightest  
value in its ‘version’ file (and the “most local” on a tie).

Try: cat /Library/Application\ Support/TextMate/Support/version

Then: cat /Applications/TextMate.app/Contents/SharedSupport/Support/ 

More information about the textmate mailing list